"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const htmlvalidate_1 = require("../htmlvalidate");
describe('rule missing-doctype', function () {
    const expect = require('chai').expect;
    let htmlvalidate;
    before(function () {
        htmlvalidate = new htmlvalidate_1.default({
            rules: { 'missing-doctype': 'error' },
        });
    });
    it('should report error when document is missing doctype', function () {
        const report = htmlvalidate.validateString('<html></html>');
        expect(report).to.be.invalid;
        expect(report).to.have.error('missing-doctype', 'Document is missing doctype');
    });
    it('should not report error when document has doctype', function () {
        const report = htmlvalidate.validateString('<!doctype html><html></html>');
        expect(report).to.be.valid;
    });
});
